<template>

    <div id="app">
        <input class="font1 cg-product-font-custom-preview-box second add-btm-xsml" v-model="message">

        <div class="cg-font-preview-img-wrap" >
            <h4 class="cg-product-font-preview-content-thin light-grey w600 f13">Qiko</h4>
            <div id="myP" class="fontsz">{{ message }}</div>

            <h4 class="cg-product-font-preview-content-thin light-grey w600 f13">QuentinPro</h4>
            <div id="myP2" class="fontsz">{{ message }}</div>


        </div>
    </div>
</template>

<style lang="scss" scoped>
    @font-face {
        font-family: Qiko;
        src: url(http://127.0.0.1:8000/storage/uploads/products/Qiko.ttf);
    }
</style>

<style lang="scss" scoped>
    @font-face {
        font-family: QuentinPro;
        src: url(http://127.0.0.1:8000/storage/uploads/products/QuentinPro.ttf);
    }

    .fontsz{
        font-size: 24px;
    }

</style>


<script>


    export default {
        name: 'app',
        data () {
            return {
                items: [
                    { message: 'Foo' },
                    { message: 'Bar' }
                ],
                message: 'Two driven jocks help fax my big quiz.'
            }
        },
        methods: {

            loadFont() {
                document.getElementById("myP").style.fontFamily = "Qiko";
                document.getElementById("myP2").style.fontFamily = "QuentinPro";
            },

        },
        beforeCreate() {
            // alert('before hook has been called');

        },
        mounted() {
            // alert('mounted hook has been called');

            // this.updateDataURL('font');
            this.loadFont();
        },
        updated() {
            // alert('updated hook has been called');
        }
    }
</script>
